export type ASYNC_FS = {
    lstat: (path: string) => Promise<{
        mode: number;
    }>;
    isFile: (mode: number) => Promise<boolean>;
    isDir: (mode: number) => Promise<boolean>;
    readFile: (path: string) => Promise<Uint8Array>;
    writeFile: (path: string, content: string | Uint8Array) => Promise<void>;
    rename: (src: string, dst: string) => Promise<void>;
    unlink: (path: string) => Promise<void>;
    readdir: (path: string) => Promise<string[]>;
    mkdir: (path: string) => Promise<void>;
    rmdir: (path: string) => Promise<void>;
};
declare function lsDir(fs: ASYNC_FS, path: string): Promise<string[]>;
declare function traverseFS(fs: ASYNC_FS, preFolderCallback: HandlerZeroAction | undefined, fileCallback: HandlerZeroAction, postFolderCallback: HandlerZeroAction | undefined): (path: string) => Promise<void>;
export { lsDir, traverseFS };
